Metadata-Version: 2.4
Name: apimatic-fis-assets-sdk
Version: 0.0.1
Summary: This is a test SDK for Assets APIs generated by APIMatic
Author-email: developer sdksio <developer+sdksio@apimatic.io>
Project-URL: Documentation, https://apimatic.io
Keywords: Apimatic,sdksio
Requires-Python: >=3.7
Description-Content-Type: text/markdown
License-File: LICENSE
Requires-Dist: apimatic-core>=0.2.24,~=0.2.0
Requires-Dist: apimatic-core-interfaces>=0.1.8,~=0.1.0
Requires-Dist: apimatic-requests-client-adapter>=0.1.10,~=0.1.0
Requires-Dist: python-dotenv<2.0,>=0.21
Provides-Extra: testutils
Requires-Dist: pytest>=7.2.2; extra == "testutils"
Dynamic: license-file


# Getting Started with AssetMasterServices-Assets

## Introduction

The Assets API enables users to retrieve information related to assets. It enables users to query the search identifiers and query assets based on different criteria. The Asset APIs enable users to create new asset requests, edit or delete current asset requests, as well as check the status of their requests.

## Install the Package

The package is compatible with Python versions `3.7+`.
Install the package from PyPi using the following pip command:

```bash
pip install apimatic-fis-assets-sdk==0.0.1
```

You can also view the package at:
https://pypi.python.org/pypi/apimatic-fis-assets-sdk/0.0.1

## Initialize the API Client

**_Note:_** Documentation for the client can be found [here.](https://www.github.com/sdks-io/apimatic-fis-assets-python-sdk/tree/0.0.1/doc/client.md)

The following parameters are configurable for the API Client:

| Parameter | Type | Description |
|  --- | --- | --- |
| environment | [`Environment`](https://www.github.com/sdks-io/apimatic-fis-assets-python-sdk/tree/0.0.1/README.md#environments) | The API environment. 
 **Default: `Environment.PRODUCTION`** |
| http_client_instance | `Union[Session, HttpClientProvider]` | The Http Client passed from the sdk user for making requests |
| override_http_client_configuration | `bool` | The value which determines to override properties of the passed Http Client from the sdk user |
| http_call_back | `HttpCallBack` | The callback value that is invoked before and after an HTTP call is made to an endpoint |
| timeout | `float` | The value to use for connection timeout. 
 **Default: 30** |
| max_retries | `int` | The number of times to retry an endpoint call if it fails. 
 **Default: 0** |
| backoff_factor | `float` | A backoff factor to apply between attempts after the second try. 
 **Default: 2** |
| retry_statuses | `Array of int` | The http statuses on which retry is to be done. 
 **Default: [408, 413, 429, 500, 502, 503, 504, 521, 522, 524]** |
| retry_methods | `Array of string` | The http methods on which retry is to be done. 
 **Default: ["GET", "PUT"]** |
| proxy_settings | [`ProxySettings`](https://www.github.com/sdks-io/apimatic-fis-assets-python-sdk/tree/0.0.1/doc/proxy-settings.md) | Optional proxy configuration to route HTTP requests through a proxy server. |
| logging_configuration | [`LoggingConfiguration`](https://www.github.com/sdks-io/apimatic-fis-assets-python-sdk/tree/0.0.1/doc/logging-configuration.md) | The SDK logging configuration for API calls |
| bearer_credentials | [`BearerCredentials`](https://www.github.com/sdks-io/apimatic-fis-assets-python-sdk/tree/0.0.1/doc/auth/custom-header-signature.md) | The credential object for Custom Header Signature |
| default_credentials | [`DefaultCredentials`](https://www.github.com/sdks-io/apimatic-fis-assets-python-sdk/tree/0.0.1/doc/auth/oauth-2-implicit-grant.md) | The credential object for OAuth 2 Implicit Grant |

The API client can be initialized as follows:

### Code-Based Client Initialization

```python
import logging

from assetmasterservicesassets.assetmasterservicesassets_client import AssetmasterservicesassetsClient
from assetmasterservicesassets.configuration import Environment
from assetmasterservicesassets.http.auth.bearer import BearerCredentials
from assetmasterservicesassets.http.auth.default import DefaultCredentials
from assetmasterservicesassets.logging.configuration.api_logging_configuration import LoggingConfiguration
from assetmasterservicesassets.logging.configuration.api_logging_configuration import RequestLoggingConfiguration
from assetmasterservicesassets.logging.configuration.api_logging_configuration import ResponseLoggingConfiguration

client = AssetmasterservicesassetsClient(
    bearer_credentials=BearerCredentials(
        authorization='Authorization'
    ),
    default_credentials=DefaultCredentials(
        oauth_client_id='OAuthClientId',
        oauth_redirect_uri='OAuthRedirectUri'
    ),
    environment=Environment.PRODUCTION,
    logging_configuration=LoggingConfiguration(
        log_level=logging.INFO,
        request_logging_config=RequestLoggingConfiguration(
            log_body=True
        ),
        response_logging_config=ResponseLoggingConfiguration(
            log_headers=True
        )
    )
)
```

### Environment-Based Client Initialization

```python
from assetmasterservicesassets.assetmasterservicesassets_client import AssetmasterservicesassetsClient

# Specify the path to your .env file if it’s located outside the project’s root directory.
client = AssetmasterservicesassetsClient.from_environment(dotenv_path='/path/to/.env')
```

See the [Environment-Based Client Initialization](https://www.github.com/sdks-io/apimatic-fis-assets-python-sdk/tree/0.0.1/doc/environment-based-client-initialization.md) section for details.

## Environments

The SDK can be configured to use a different environment for making API calls. Available environments are:

### Fields

| Name | Description |
|  --- | --- |
| PRODUCTION | **Default** |
| ENVIRONMENT2 | - |

## Authorization

This API uses the following authentication schemes.

* [`Bearer (Custom Header Signature)`](https://www.github.com/sdks-io/apimatic-fis-assets-python-sdk/tree/0.0.1/doc/auth/custom-header-signature.md)
* [`default (OAuth 2 Implicit Grant)`](https://www.github.com/sdks-io/apimatic-fis-assets-python-sdk/tree/0.0.1/doc/auth/oauth-2-implicit-grant.md)

## List of APIs

* [Asset Information](https://www.github.com/sdks-io/apimatic-fis-assets-python-sdk/tree/0.0.1/doc/controllers/asset-information.md)
* [Asset Request](https://www.github.com/sdks-io/apimatic-fis-assets-python-sdk/tree/0.0.1/doc/controllers/asset-request.md)

## SDK Infrastructure

### Configuration

* [ProxySettings](https://www.github.com/sdks-io/apimatic-fis-assets-python-sdk/tree/0.0.1/doc/proxy-settings.md)
* [Environment-Based Client Initialization](https://www.github.com/sdks-io/apimatic-fis-assets-python-sdk/tree/0.0.1/doc/environment-based-client-initialization.md)
* [AbstractLogger](https://www.github.com/sdks-io/apimatic-fis-assets-python-sdk/tree/0.0.1/doc/abstract-logger.md)
* [LoggingConfiguration](https://www.github.com/sdks-io/apimatic-fis-assets-python-sdk/tree/0.0.1/doc/logging-configuration.md)
* [RequestLoggingConfiguration](https://www.github.com/sdks-io/apimatic-fis-assets-python-sdk/tree/0.0.1/doc/request-logging-configuration.md)
* [ResponseLoggingConfiguration](https://www.github.com/sdks-io/apimatic-fis-assets-python-sdk/tree/0.0.1/doc/response-logging-configuration.md)

### HTTP

* [HttpResponse](https://www.github.com/sdks-io/apimatic-fis-assets-python-sdk/tree/0.0.1/doc/http-response.md)
* [HttpRequest](https://www.github.com/sdks-io/apimatic-fis-assets-python-sdk/tree/0.0.1/doc/http-request.md)

### Utilities

* [ApiResponse](https://www.github.com/sdks-io/apimatic-fis-assets-python-sdk/tree/0.0.1/doc/api-response.md)
* [ApiHelper](https://www.github.com/sdks-io/apimatic-fis-assets-python-sdk/tree/0.0.1/doc/api-helper.md)
* [HttpDateTime](https://www.github.com/sdks-io/apimatic-fis-assets-python-sdk/tree/0.0.1/doc/http-date-time.md)
* [RFC3339DateTime](https://www.github.com/sdks-io/apimatic-fis-assets-python-sdk/tree/0.0.1/doc/rfc3339-date-time.md)
* [UnixDateTime](https://www.github.com/sdks-io/apimatic-fis-assets-python-sdk/tree/0.0.1/doc/unix-date-time.md)

